/*
* Neural Networks Tearm Project
* Martin Johne
* 04.10.2006
*/
#pragma once
#include <irrlicht.h>
#include "Muele.h"

//! The preferences window where the user can change the game game settings.
class CPreferencesWindow
{
public:

	// methods

	CPreferencesWindow(CMuele *pMueleClass, int yPosition);
	~CPreferencesWindow(void);
	
	//! Called on a gui even from irrlicht to manage the window behavior
	void onGuiEvent(SEvent &event);
	//! Switches if the window can be seen or not.
	void toggleVisiblility();
	//! Redraws the content of the window.
	void resetWindow();

	// variables

	gui::IGUICheckBox *pCheckProbabilities;

private:
	
	CMuele *pMuele;
	gui::IGUIWindow	*pWindow;
};
